import React from "react";
import {ButtonBase} from "../components/ButtonBase";
import {action} from "@storybook/addon-actions";

const meta = {
  title: 'Button',
  component: ButtonBase,
  argTypes:{
    children:{
      defaultValue: 'Default Text',
      control: 'text'
    },
    variant: {
      defaultValue: 'primary',
      options: ['primary', 'secondary'],
      control: 'radio',
      type:{
        name: 'string'
      }
    },
    onClick: {
      action: 'clicked'
    },
  }
}

export default meta;

const Template = (args) => <ButtonBase {...args}/>

export const Default = Template.bind({});

export const Secondary = Template.bind({});

Secondary.args = {
  children: 'I am here',
  variant: 'secondary',
  onClick: action('secondary click')
}